//	author:	Barnabas Aszodi (BME-IIT)

#include "Ogre.h"
#include "OgreEffectWrapper.h"
#include "ManagedOgreRenderTexturePass.h"
#include "VRMRenderFinalPass.h"


VRMRenderFinalPass::VRMRenderFinalPass(
			Root* mRoot):ManagedOgreRenderTexturePass(mRoot, ManagedOgreRenderTexturePass::noRenderTargetName,1,1)
{
	effectWrapper->createMaterial("VRMRenderFinalPass");
}

void VRMRenderFinalPass::onRenderStart(NameValuePairList* namedParams){
	effectWrapper->SetTechniqueToUse(0);
	effectWrapper->BeginPass();
	effectWrapper->SetVertexProgramParameters();
	effectWrapper->SetMatrix("g_mWorldViewProj",g_mWorldViewProj);
}


void VRMRenderFinalPass::onRenderEnd(NameValuePairList* namedParams)
{
	effectWrapper->EndPass();
}

Matrix4 VRMRenderFinalPass::getWorldViewProj()
{
	return g_mWorldViewProj;
}

void VRMRenderFinalPass::setWorldViewProj( Matrix4 matrix4 )
{
	g_mWorldViewProj = matrix4;
}